/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base;


import com.tabajara.base.tables.Arduino;
import com.tabajara.base.tables.Arduinoatuador;
import com.tabajara.base.tables.Arduinocontrole;
import com.tabajara.base.tables.Arduinosensor;
import com.tabajara.base.tables.Atuador;
import com.tabajara.base.tables.Controle;
import com.tabajara.base.tables.Controlegrpacesso;
import com.tabajara.base.tables.Criacao;
import com.tabajara.base.tables.Empresa;
import com.tabajara.base.tables.Funcionario;
import com.tabajara.base.tables.Grpacesso;
import com.tabajara.base.tables.Hisatuacao;
import com.tabajara.base.tables.Hispropriedades;
import com.tabajara.base.tables.Horarepeticao;
import com.tabajara.base.tables.Sensor;
import com.tabajara.base.tables.Sensorhorarepeticao;
import com.tabajara.base.tables.Sensorrepeticao;
import com.tabajara.base.tables.Tanque;
import com.tabajara.base.tables.Telefones;
import com.tabajara.base.tables.Tipoatuador;
import com.tabajara.base.tables.Tiporepeticao;
import com.tabajara.base.tables.Tiposensor;
import com.tabajara.base.tables.Usuarios;
import com.tabajara.base.tables.records.ArduinoRecord;
import com.tabajara.base.tables.records.ArduinoatuadorRecord;
import com.tabajara.base.tables.records.ArduinocontroleRecord;
import com.tabajara.base.tables.records.ArduinosensorRecord;
import com.tabajara.base.tables.records.AtuadorRecord;
import com.tabajara.base.tables.records.ControleRecord;
import com.tabajara.base.tables.records.ControlegrpacessoRecord;
import com.tabajara.base.tables.records.CriacaoRecord;
import com.tabajara.base.tables.records.EmpresaRecord;
import com.tabajara.base.tables.records.FuncionarioRecord;
import com.tabajara.base.tables.records.GrpacessoRecord;
import com.tabajara.base.tables.records.HisatuacaoRecord;
import com.tabajara.base.tables.records.HispropriedadesRecord;
import com.tabajara.base.tables.records.HorarepeticaoRecord;
import com.tabajara.base.tables.records.SensorRecord;
import com.tabajara.base.tables.records.SensorhorarepeticaoRecord;
import com.tabajara.base.tables.records.SensorrepeticaoRecord;
import com.tabajara.base.tables.records.TanqueRecord;
import com.tabajara.base.tables.records.TelefonesRecord;
import com.tabajara.base.tables.records.TipoatuadorRecord;
import com.tabajara.base.tables.records.TiporepeticaoRecord;
import com.tabajara.base.tables.records.TiposensorRecord;
import com.tabajara.base.tables.records.UsuariosRecord;

import javax.annotation.Generated;

import org.jooq.ForeignKey;
import org.jooq.Identity;
import org.jooq.UniqueKey;
import org.jooq.impl.Internal;


/**
 * A class modelling foreign key relationships and constraints of tables of 
 * the <code>public</code> schema.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Keys {

    // -------------------------------------------------------------------------
    // IDENTITY definitions
    // -------------------------------------------------------------------------

    public static final Identity<ArduinoRecord, Integer> IDENTITY_ARDUINO = Identities0.IDENTITY_ARDUINO;
    public static final Identity<ArduinoatuadorRecord, Integer> IDENTITY_ARDUINOATUADOR = Identities0.IDENTITY_ARDUINOATUADOR;
    public static final Identity<ArduinocontroleRecord, Integer> IDENTITY_ARDUINOCONTROLE = Identities0.IDENTITY_ARDUINOCONTROLE;
    public static final Identity<ArduinosensorRecord, Integer> IDENTITY_ARDUINOSENSOR = Identities0.IDENTITY_ARDUINOSENSOR;
    public static final Identity<AtuadorRecord, Integer> IDENTITY_ATUADOR = Identities0.IDENTITY_ATUADOR;
    public static final Identity<ControleRecord, Integer> IDENTITY_CONTROLE = Identities0.IDENTITY_CONTROLE;
    public static final Identity<ControlegrpacessoRecord, Integer> IDENTITY_CONTROLEGRPACESSO = Identities0.IDENTITY_CONTROLEGRPACESSO;
    public static final Identity<CriacaoRecord, Integer> IDENTITY_CRIACAO = Identities0.IDENTITY_CRIACAO;
    public static final Identity<EmpresaRecord, Integer> IDENTITY_EMPRESA = Identities0.IDENTITY_EMPRESA;
    public static final Identity<GrpacessoRecord, Integer> IDENTITY_GRPACESSO = Identities0.IDENTITY_GRPACESSO;
    public static final Identity<HisatuacaoRecord, Integer> IDENTITY_HISATUACAO = Identities0.IDENTITY_HISATUACAO;
    public static final Identity<HispropriedadesRecord, Integer> IDENTITY_HISPROPRIEDADES = Identities0.IDENTITY_HISPROPRIEDADES;
    public static final Identity<HorarepeticaoRecord, Integer> IDENTITY_HORAREPETICAO = Identities0.IDENTITY_HORAREPETICAO;
    public static final Identity<SensorRecord, Integer> IDENTITY_SENSOR = Identities0.IDENTITY_SENSOR;
    public static final Identity<SensorhorarepeticaoRecord, Integer> IDENTITY_SENSORHORAREPETICAO = Identities0.IDENTITY_SENSORHORAREPETICAO;
    public static final Identity<SensorrepeticaoRecord, Integer> IDENTITY_SENSORREPETICAO = Identities0.IDENTITY_SENSORREPETICAO;
    public static final Identity<TanqueRecord, Integer> IDENTITY_TANQUE = Identities0.IDENTITY_TANQUE;
    public static final Identity<TelefonesRecord, Integer> IDENTITY_TELEFONES = Identities0.IDENTITY_TELEFONES;
    public static final Identity<TipoatuadorRecord, Integer> IDENTITY_TIPOATUADOR = Identities0.IDENTITY_TIPOATUADOR;
    public static final Identity<TiporepeticaoRecord, Integer> IDENTITY_TIPOREPETICAO = Identities0.IDENTITY_TIPOREPETICAO;
    public static final Identity<TiposensorRecord, Integer> IDENTITY_TIPOSENSOR = Identities0.IDENTITY_TIPOSENSOR;
    public static final Identity<UsuariosRecord, Integer> IDENTITY_USUARIOS = Identities0.IDENTITY_USUARIOS;

    // -------------------------------------------------------------------------
    // UNIQUE and PRIMARY KEY definitions
    // -------------------------------------------------------------------------

    public static final UniqueKey<ArduinoRecord> ARDUINO_PKEY = UniqueKeys0.ARDUINO_PKEY;
    public static final UniqueKey<ArduinoatuadorRecord> ARDUINOATUADOR_PKEY = UniqueKeys0.ARDUINOATUADOR_PKEY;
    public static final UniqueKey<ArduinocontroleRecord> ARDUINOCONTROLE_PKEY = UniqueKeys0.ARDUINOCONTROLE_PKEY;
    public static final UniqueKey<ArduinosensorRecord> ARDUINOSENSOR_PKEY = UniqueKeys0.ARDUINOSENSOR_PKEY;
    public static final UniqueKey<AtuadorRecord> ATUADOR_PKEY = UniqueKeys0.ATUADOR_PKEY;
    public static final UniqueKey<ControleRecord> CONTROLE_PKEY = UniqueKeys0.CONTROLE_PKEY;
    public static final UniqueKey<ControlegrpacessoRecord> CONTROLEGRPACESSO_PKEY = UniqueKeys0.CONTROLEGRPACESSO_PKEY;
    public static final UniqueKey<CriacaoRecord> CRIACAO_PKEY = UniqueKeys0.CRIACAO_PKEY;
    public static final UniqueKey<EmpresaRecord> EMPRESA_PKEY = UniqueKeys0.EMPRESA_PKEY;
    public static final UniqueKey<FuncionarioRecord> FUNCIONARIO_PKEY = UniqueKeys0.FUNCIONARIO_PKEY;
    public static final UniqueKey<GrpacessoRecord> GRPACESSO_PKEY = UniqueKeys0.GRPACESSO_PKEY;
    public static final UniqueKey<HisatuacaoRecord> HISATUACAO_PKEY = UniqueKeys0.HISATUACAO_PKEY;
    public static final UniqueKey<HispropriedadesRecord> HISPROPRIEDADES_PKEY = UniqueKeys0.HISPROPRIEDADES_PKEY;
    public static final UniqueKey<HorarepeticaoRecord> HORAREPETICAO_PKEY = UniqueKeys0.HORAREPETICAO_PKEY;
    public static final UniqueKey<SensorRecord> SENSOR_PKEY = UniqueKeys0.SENSOR_PKEY;
    public static final UniqueKey<SensorhorarepeticaoRecord> SENSORHORAREPETICAO_PKEY = UniqueKeys0.SENSORHORAREPETICAO_PKEY;
    public static final UniqueKey<SensorrepeticaoRecord> SENSORREPETICAO_PKEY = UniqueKeys0.SENSORREPETICAO_PKEY;
    public static final UniqueKey<TanqueRecord> TANQUE_PKEY = UniqueKeys0.TANQUE_PKEY;
    public static final UniqueKey<TelefonesRecord> TELEFONES_PKEY = UniqueKeys0.TELEFONES_PKEY;
    public static final UniqueKey<TipoatuadorRecord> TIPOATUADOR_PKEY = UniqueKeys0.TIPOATUADOR_PKEY;
    public static final UniqueKey<TiporepeticaoRecord> TIPOREPETICAO_PKEY = UniqueKeys0.TIPOREPETICAO_PKEY;
    public static final UniqueKey<TiposensorRecord> TIPOSENSOR_PKEY = UniqueKeys0.TIPOSENSOR_PKEY;
    public static final UniqueKey<UsuariosRecord> USUARIOS_PKEY = UniqueKeys0.USUARIOS_PKEY;

    // -------------------------------------------------------------------------
    // FOREIGN KEY definitions
    // -------------------------------------------------------------------------

    public static final ForeignKey<ArduinoRecord, TanqueRecord> ARDUINO__ARDUINO_FKTANID_FKEY = ForeignKeys0.ARDUINO__ARDUINO_FKTANID_FKEY;
    public static final ForeignKey<ArduinoatuadorRecord, ArduinoRecord> ARDUINOATUADOR__ARDUINOATUADOR_FKARDID_FKEY = ForeignKeys0.ARDUINOATUADOR__ARDUINOATUADOR_FKARDID_FKEY;
    public static final ForeignKey<ArduinoatuadorRecord, AtuadorRecord> ARDUINOATUADOR__ARDUINOATUADOR_FKATUID_FKEY = ForeignKeys0.ARDUINOATUADOR__ARDUINOATUADOR_FKATUID_FKEY;
    public static final ForeignKey<ArduinocontroleRecord, ArduinoRecord> ARDUINOCONTROLE__ARDUINOCONTROLE_FKARDID_FKEY = ForeignKeys0.ARDUINOCONTROLE__ARDUINOCONTROLE_FKARDID_FKEY;
    public static final ForeignKey<ArduinocontroleRecord, ControleRecord> ARDUINOCONTROLE__ARDUINOCONTROLE_FKCONID_FKEY = ForeignKeys0.ARDUINOCONTROLE__ARDUINOCONTROLE_FKCONID_FKEY;
    public static final ForeignKey<ArduinosensorRecord, ArduinoRecord> ARDUINOSENSOR__ARDUINOSENSOR_FKARDID_FKEY = ForeignKeys0.ARDUINOSENSOR__ARDUINOSENSOR_FKARDID_FKEY;
    public static final ForeignKey<ArduinosensorRecord, SensorRecord> ARDUINOSENSOR__ARDUINOSENSOR_FKSENID_FKEY = ForeignKeys0.ARDUINOSENSOR__ARDUINOSENSOR_FKSENID_FKEY;
    public static final ForeignKey<AtuadorRecord, TipoatuadorRecord> ATUADOR__ATUADOR_FKTIPATUID_FKEY = ForeignKeys0.ATUADOR__ATUADOR_FKTIPATUID_FKEY;
    public static final ForeignKey<ControlegrpacessoRecord, ControleRecord> CONTROLEGRPACESSO__CONTROLEGRPACESSO_FKCONID_FKEY = ForeignKeys0.CONTROLEGRPACESSO__CONTROLEGRPACESSO_FKCONID_FKEY;
    public static final ForeignKey<ControlegrpacessoRecord, GrpacessoRecord> CONTROLEGRPACESSO__CONTROLEGRPACESSO_FKGRPID_FKEY = ForeignKeys0.CONTROLEGRPACESSO__CONTROLEGRPACESSO_FKGRPID_FKEY;
    public static final ForeignKey<HisatuacaoRecord, ArduinoRecord> HISATUACAO__HISATUACAO_FKARDID_FKEY = ForeignKeys0.HISATUACAO__HISATUACAO_FKARDID_FKEY;
    public static final ForeignKey<HisatuacaoRecord, TanqueRecord> HISATUACAO__HISATUACAO_FKTANID_FKEY = ForeignKeys0.HISATUACAO__HISATUACAO_FKTANID_FKEY;
    public static final ForeignKey<HisatuacaoRecord, AtuadorRecord> HISATUACAO__HISATUACAO_FKATUID_FKEY = ForeignKeys0.HISATUACAO__HISATUACAO_FKATUID_FKEY;
    public static final ForeignKey<HisatuacaoRecord, EmpresaRecord> HISATUACAO__HISATUACAO_FKEMPID_FKEY = ForeignKeys0.HISATUACAO__HISATUACAO_FKEMPID_FKEY;
    public static final ForeignKey<HispropriedadesRecord, ArduinoRecord> HISPROPRIEDADES__HISPROPRIEDADES_FKARDID_FKEY = ForeignKeys0.HISPROPRIEDADES__HISPROPRIEDADES_FKARDID_FKEY;
    public static final ForeignKey<HispropriedadesRecord, TanqueRecord> HISPROPRIEDADES__HISPROPRIEDADES_FKTANID_FKEY = ForeignKeys0.HISPROPRIEDADES__HISPROPRIEDADES_FKTANID_FKEY;
    public static final ForeignKey<HispropriedadesRecord, SensorRecord> HISPROPRIEDADES__HISPROPRIEDADES_FKSENID_FKEY = ForeignKeys0.HISPROPRIEDADES__HISPROPRIEDADES_FKSENID_FKEY;
    public static final ForeignKey<HispropriedadesRecord, EmpresaRecord> HISPROPRIEDADES__HISPROPRIEDADES_FKEMPID_FKEY = ForeignKeys0.HISPROPRIEDADES__HISPROPRIEDADES_FKEMPID_FKEY;
    public static final ForeignKey<SensorRecord, TiposensorRecord> SENSOR__SENSOR_FKTIPSENID_FKEY = ForeignKeys0.SENSOR__SENSOR_FKTIPSENID_FKEY;
    public static final ForeignKey<SensorhorarepeticaoRecord, SensorRecord> SENSORHORAREPETICAO__SENSORHORAREPETICAO_FKSENID_FKEY = ForeignKeys0.SENSORHORAREPETICAO__SENSORHORAREPETICAO_FKSENID_FKEY;
    public static final ForeignKey<SensorhorarepeticaoRecord, HorarepeticaoRecord> SENSORHORAREPETICAO__SENSORHORAREPETICAO_FKHORID_FKEY = ForeignKeys0.SENSORHORAREPETICAO__SENSORHORAREPETICAO_FKHORID_FKEY;
    public static final ForeignKey<SensorrepeticaoRecord, TiporepeticaoRecord> SENSORREPETICAO__SENSORREPETICAO_FKTIPREPID_FKEY = ForeignKeys0.SENSORREPETICAO__SENSORREPETICAO_FKTIPREPID_FKEY;
    public static final ForeignKey<SensorrepeticaoRecord, SensorRecord> SENSORREPETICAO__SENSORREPETICAO_FKSENID_FKEY = ForeignKeys0.SENSORREPETICAO__SENSORREPETICAO_FKSENID_FKEY;
    public static final ForeignKey<TanqueRecord, CriacaoRecord> TANQUE__TANQUE_FKCRIACAO_FKEY = ForeignKeys0.TANQUE__TANQUE_FKCRIACAO_FKEY;
    public static final ForeignKey<TelefonesRecord, FuncionarioRecord> TELEFONES__TELEFONES_FKFUNMATRICULA_FKEY = ForeignKeys0.TELEFONES__TELEFONES_FKFUNMATRICULA_FKEY;
    public static final ForeignKey<UsuariosRecord, FuncionarioRecord> USUARIOS__USUARIOS_FKFUNMATRICULA_FKEY = ForeignKeys0.USUARIOS__USUARIOS_FKFUNMATRICULA_FKEY;
    public static final ForeignKey<UsuariosRecord, GrpacessoRecord> USUARIOS__USUARIOS_FKGRPID_FKEY = ForeignKeys0.USUARIOS__USUARIOS_FKGRPID_FKEY;

    // -------------------------------------------------------------------------
    // [#1459] distribute members to avoid static initialisers > 64kb
    // -------------------------------------------------------------------------

    private static class Identities0 {
        public static Identity<ArduinoRecord, Integer> IDENTITY_ARDUINO = Internal.createIdentity(Arduino.ARDUINO, Arduino.ARDUINO.ARDID);
        public static Identity<ArduinoatuadorRecord, Integer> IDENTITY_ARDUINOATUADOR = Internal.createIdentity(Arduinoatuador.ARDUINOATUADOR, Arduinoatuador.ARDUINOATUADOR.ARDSENID);
        public static Identity<ArduinocontroleRecord, Integer> IDENTITY_ARDUINOCONTROLE = Internal.createIdentity(Arduinocontrole.ARDUINOCONTROLE, Arduinocontrole.ARDUINOCONTROLE.ARDCONTID);
        public static Identity<ArduinosensorRecord, Integer> IDENTITY_ARDUINOSENSOR = Internal.createIdentity(Arduinosensor.ARDUINOSENSOR, Arduinosensor.ARDUINOSENSOR.ARDSENID);
        public static Identity<AtuadorRecord, Integer> IDENTITY_ATUADOR = Internal.createIdentity(Atuador.ATUADOR, Atuador.ATUADOR.ATUID);
        public static Identity<ControleRecord, Integer> IDENTITY_CONTROLE = Internal.createIdentity(Controle.CONTROLE, Controle.CONTROLE.CONID);
        public static Identity<ControlegrpacessoRecord, Integer> IDENTITY_CONTROLEGRPACESSO = Internal.createIdentity(Controlegrpacesso.CONTROLEGRPACESSO, Controlegrpacesso.CONTROLEGRPACESSO.CONGRPID);
        public static Identity<CriacaoRecord, Integer> IDENTITY_CRIACAO = Internal.createIdentity(Criacao.CRIACAO, Criacao.CRIACAO.CRIAID);
        public static Identity<EmpresaRecord, Integer> IDENTITY_EMPRESA = Internal.createIdentity(Empresa.EMPRESA, Empresa.EMPRESA.EMPID);
        public static Identity<GrpacessoRecord, Integer> IDENTITY_GRPACESSO = Internal.createIdentity(Grpacesso.GRPACESSO, Grpacesso.GRPACESSO.GRPID);
        public static Identity<HisatuacaoRecord, Integer> IDENTITY_HISATUACAO = Internal.createIdentity(Hisatuacao.HISATUACAO, Hisatuacao.HISATUACAO.HISTATUAID);
        public static Identity<HispropriedadesRecord, Integer> IDENTITY_HISPROPRIEDADES = Internal.createIdentity(Hispropriedades.HISPROPRIEDADES, Hispropriedades.HISPROPRIEDADES.HISPOPTID);
        public static Identity<HorarepeticaoRecord, Integer> IDENTITY_HORAREPETICAO = Internal.createIdentity(Horarepeticao.HORAREPETICAO, Horarepeticao.HORAREPETICAO.HORID);
        public static Identity<SensorRecord, Integer> IDENTITY_SENSOR = Internal.createIdentity(Sensor.SENSOR, Sensor.SENSOR.SENID);
        public static Identity<SensorhorarepeticaoRecord, Integer> IDENTITY_SENSORHORAREPETICAO = Internal.createIdentity(Sensorhorarepeticao.SENSORHORAREPETICAO, Sensorhorarepeticao.SENSORHORAREPETICAO.SENHORID);
        public static Identity<SensorrepeticaoRecord, Integer> IDENTITY_SENSORREPETICAO = Internal.createIdentity(Sensorrepeticao.SENSORREPETICAO, Sensorrepeticao.SENSORREPETICAO.SENREPID);
        public static Identity<TanqueRecord, Integer> IDENTITY_TANQUE = Internal.createIdentity(Tanque.TANQUE, Tanque.TANQUE.TANID);
        public static Identity<TelefonesRecord, Integer> IDENTITY_TELEFONES = Internal.createIdentity(Telefones.TELEFONES, Telefones.TELEFONES.TELID);
        public static Identity<TipoatuadorRecord, Integer> IDENTITY_TIPOATUADOR = Internal.createIdentity(Tipoatuador.TIPOATUADOR, Tipoatuador.TIPOATUADOR.TIPATUID);
        public static Identity<TiporepeticaoRecord, Integer> IDENTITY_TIPOREPETICAO = Internal.createIdentity(Tiporepeticao.TIPOREPETICAO, Tiporepeticao.TIPOREPETICAO.TIPREPID);
        public static Identity<TiposensorRecord, Integer> IDENTITY_TIPOSENSOR = Internal.createIdentity(Tiposensor.TIPOSENSOR, Tiposensor.TIPOSENSOR.TIPSENID);
        public static Identity<UsuariosRecord, Integer> IDENTITY_USUARIOS = Internal.createIdentity(Usuarios.USUARIOS, Usuarios.USUARIOS.USUID);
    }

    private static class UniqueKeys0 {
        public static final UniqueKey<ArduinoRecord> ARDUINO_PKEY = Internal.createUniqueKey(Arduino.ARDUINO, "arduino_pkey", Arduino.ARDUINO.ARDID);
        public static final UniqueKey<ArduinoatuadorRecord> ARDUINOATUADOR_PKEY = Internal.createUniqueKey(Arduinoatuador.ARDUINOATUADOR, "arduinoatuador_pkey", Arduinoatuador.ARDUINOATUADOR.ARDSENID);
        public static final UniqueKey<ArduinocontroleRecord> ARDUINOCONTROLE_PKEY = Internal.createUniqueKey(Arduinocontrole.ARDUINOCONTROLE, "arduinocontrole_pkey", Arduinocontrole.ARDUINOCONTROLE.ARDCONTID);
        public static final UniqueKey<ArduinosensorRecord> ARDUINOSENSOR_PKEY = Internal.createUniqueKey(Arduinosensor.ARDUINOSENSOR, "arduinosensor_pkey", Arduinosensor.ARDUINOSENSOR.ARDSENID);
        public static final UniqueKey<AtuadorRecord> ATUADOR_PKEY = Internal.createUniqueKey(Atuador.ATUADOR, "atuador_pkey", Atuador.ATUADOR.ATUID);
        public static final UniqueKey<ControleRecord> CONTROLE_PKEY = Internal.createUniqueKey(Controle.CONTROLE, "controle_pkey", Controle.CONTROLE.CONID);
        public static final UniqueKey<ControlegrpacessoRecord> CONTROLEGRPACESSO_PKEY = Internal.createUniqueKey(Controlegrpacesso.CONTROLEGRPACESSO, "controlegrpacesso_pkey", Controlegrpacesso.CONTROLEGRPACESSO.CONGRPID);
        public static final UniqueKey<CriacaoRecord> CRIACAO_PKEY = Internal.createUniqueKey(Criacao.CRIACAO, "criacao_pkey", Criacao.CRIACAO.CRIAID);
        public static final UniqueKey<EmpresaRecord> EMPRESA_PKEY = Internal.createUniqueKey(Empresa.EMPRESA, "empresa_pkey", Empresa.EMPRESA.EMPID);
        public static final UniqueKey<FuncionarioRecord> FUNCIONARIO_PKEY = Internal.createUniqueKey(Funcionario.FUNCIONARIO, "funcionario_pkey", Funcionario.FUNCIONARIO.FUNMATRICULA);
        public static final UniqueKey<GrpacessoRecord> GRPACESSO_PKEY = Internal.createUniqueKey(Grpacesso.GRPACESSO, "grpacesso_pkey", Grpacesso.GRPACESSO.GRPID);
        public static final UniqueKey<HisatuacaoRecord> HISATUACAO_PKEY = Internal.createUniqueKey(Hisatuacao.HISATUACAO, "hisatuacao_pkey", Hisatuacao.HISATUACAO.HISTATUAID);
        public static final UniqueKey<HispropriedadesRecord> HISPROPRIEDADES_PKEY = Internal.createUniqueKey(Hispropriedades.HISPROPRIEDADES, "hispropriedades_pkey", Hispropriedades.HISPROPRIEDADES.HISPOPTID);
        public static final UniqueKey<HorarepeticaoRecord> HORAREPETICAO_PKEY = Internal.createUniqueKey(Horarepeticao.HORAREPETICAO, "horarepeticao_pkey", Horarepeticao.HORAREPETICAO.HORID);
        public static final UniqueKey<SensorRecord> SENSOR_PKEY = Internal.createUniqueKey(Sensor.SENSOR, "sensor_pkey", Sensor.SENSOR.SENID);
        public static final UniqueKey<SensorhorarepeticaoRecord> SENSORHORAREPETICAO_PKEY = Internal.createUniqueKey(Sensorhorarepeticao.SENSORHORAREPETICAO, "sensorhorarepeticao_pkey", Sensorhorarepeticao.SENSORHORAREPETICAO.SENHORID);
        public static final UniqueKey<SensorrepeticaoRecord> SENSORREPETICAO_PKEY = Internal.createUniqueKey(Sensorrepeticao.SENSORREPETICAO, "sensorrepeticao_pkey", Sensorrepeticao.SENSORREPETICAO.SENREPID);
        public static final UniqueKey<TanqueRecord> TANQUE_PKEY = Internal.createUniqueKey(Tanque.TANQUE, "tanque_pkey", Tanque.TANQUE.TANID);
        public static final UniqueKey<TelefonesRecord> TELEFONES_PKEY = Internal.createUniqueKey(Telefones.TELEFONES, "telefones_pkey", Telefones.TELEFONES.TELID);
        public static final UniqueKey<TipoatuadorRecord> TIPOATUADOR_PKEY = Internal.createUniqueKey(Tipoatuador.TIPOATUADOR, "tipoatuador_pkey", Tipoatuador.TIPOATUADOR.TIPATUID);
        public static final UniqueKey<TiporepeticaoRecord> TIPOREPETICAO_PKEY = Internal.createUniqueKey(Tiporepeticao.TIPOREPETICAO, "tiporepeticao_pkey", Tiporepeticao.TIPOREPETICAO.TIPREPID);
        public static final UniqueKey<TiposensorRecord> TIPOSENSOR_PKEY = Internal.createUniqueKey(Tiposensor.TIPOSENSOR, "tiposensor_pkey", Tiposensor.TIPOSENSOR.TIPSENID);
        public static final UniqueKey<UsuariosRecord> USUARIOS_PKEY = Internal.createUniqueKey(Usuarios.USUARIOS, "usuarios_pkey", Usuarios.USUARIOS.USUID);
    }

    private static class ForeignKeys0 {
        public static final ForeignKey<ArduinoRecord, TanqueRecord> ARDUINO__ARDUINO_FKTANID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.TANQUE_PKEY, Arduino.ARDUINO, "arduino__arduino_fktanid_fkey", Arduino.ARDUINO.FKTANID);
        public static final ForeignKey<ArduinoatuadorRecord, ArduinoRecord> ARDUINOATUADOR__ARDUINOATUADOR_FKARDID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.ARDUINO_PKEY, Arduinoatuador.ARDUINOATUADOR, "arduinoatuador__arduinoatuador_fkardid_fkey", Arduinoatuador.ARDUINOATUADOR.FKARDID);
        public static final ForeignKey<ArduinoatuadorRecord, AtuadorRecord> ARDUINOATUADOR__ARDUINOATUADOR_FKATUID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.ATUADOR_PKEY, Arduinoatuador.ARDUINOATUADOR, "arduinoatuador__arduinoatuador_fkatuid_fkey", Arduinoatuador.ARDUINOATUADOR.FKATUID);
        public static final ForeignKey<ArduinocontroleRecord, ArduinoRecord> ARDUINOCONTROLE__ARDUINOCONTROLE_FKARDID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.ARDUINO_PKEY, Arduinocontrole.ARDUINOCONTROLE, "arduinocontrole__arduinocontrole_fkardid_fkey", Arduinocontrole.ARDUINOCONTROLE.FKARDID);
        public static final ForeignKey<ArduinocontroleRecord, ControleRecord> ARDUINOCONTROLE__ARDUINOCONTROLE_FKCONID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.CONTROLE_PKEY, Arduinocontrole.ARDUINOCONTROLE, "arduinocontrole__arduinocontrole_fkconid_fkey", Arduinocontrole.ARDUINOCONTROLE.FKCONID);
        public static final ForeignKey<ArduinosensorRecord, ArduinoRecord> ARDUINOSENSOR__ARDUINOSENSOR_FKARDID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.ARDUINO_PKEY, Arduinosensor.ARDUINOSENSOR, "arduinosensor__arduinosensor_fkardid_fkey", Arduinosensor.ARDUINOSENSOR.FKARDID);
        public static final ForeignKey<ArduinosensorRecord, SensorRecord> ARDUINOSENSOR__ARDUINOSENSOR_FKSENID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.SENSOR_PKEY, Arduinosensor.ARDUINOSENSOR, "arduinosensor__arduinosensor_fksenid_fkey", Arduinosensor.ARDUINOSENSOR.FKSENID);
        public static final ForeignKey<AtuadorRecord, TipoatuadorRecord> ATUADOR__ATUADOR_FKTIPATUID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.TIPOATUADOR_PKEY, Atuador.ATUADOR, "atuador__atuador_fktipatuid_fkey", Atuador.ATUADOR.FKTIPATUID);
        public static final ForeignKey<ControlegrpacessoRecord, ControleRecord> CONTROLEGRPACESSO__CONTROLEGRPACESSO_FKCONID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.CONTROLE_PKEY, Controlegrpacesso.CONTROLEGRPACESSO, "controlegrpacesso__controlegrpacesso_fkconid_fkey", Controlegrpacesso.CONTROLEGRPACESSO.FKCONID);
        public static final ForeignKey<ControlegrpacessoRecord, GrpacessoRecord> CONTROLEGRPACESSO__CONTROLEGRPACESSO_FKGRPID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.GRPACESSO_PKEY, Controlegrpacesso.CONTROLEGRPACESSO, "controlegrpacesso__controlegrpacesso_fkgrpid_fkey", Controlegrpacesso.CONTROLEGRPACESSO.FKGRPID);
        public static final ForeignKey<HisatuacaoRecord, ArduinoRecord> HISATUACAO__HISATUACAO_FKARDID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.ARDUINO_PKEY, Hisatuacao.HISATUACAO, "hisatuacao__hisatuacao_fkardid_fkey", Hisatuacao.HISATUACAO.FKARDID);
        public static final ForeignKey<HisatuacaoRecord, TanqueRecord> HISATUACAO__HISATUACAO_FKTANID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.TANQUE_PKEY, Hisatuacao.HISATUACAO, "hisatuacao__hisatuacao_fktanid_fkey", Hisatuacao.HISATUACAO.FKTANID);
        public static final ForeignKey<HisatuacaoRecord, AtuadorRecord> HISATUACAO__HISATUACAO_FKATUID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.ATUADOR_PKEY, Hisatuacao.HISATUACAO, "hisatuacao__hisatuacao_fkatuid_fkey", Hisatuacao.HISATUACAO.FKATUID);
        public static final ForeignKey<HisatuacaoRecord, EmpresaRecord> HISATUACAO__HISATUACAO_FKEMPID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.EMPRESA_PKEY, Hisatuacao.HISATUACAO, "hisatuacao__hisatuacao_fkempid_fkey", Hisatuacao.HISATUACAO.FKEMPID);
        public static final ForeignKey<HispropriedadesRecord, ArduinoRecord> HISPROPRIEDADES__HISPROPRIEDADES_FKARDID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.ARDUINO_PKEY, Hispropriedades.HISPROPRIEDADES, "hispropriedades__hispropriedades_fkardid_fkey", Hispropriedades.HISPROPRIEDADES.FKARDID);
        public static final ForeignKey<HispropriedadesRecord, TanqueRecord> HISPROPRIEDADES__HISPROPRIEDADES_FKTANID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.TANQUE_PKEY, Hispropriedades.HISPROPRIEDADES, "hispropriedades__hispropriedades_fktanid_fkey", Hispropriedades.HISPROPRIEDADES.FKTANID);
        public static final ForeignKey<HispropriedadesRecord, SensorRecord> HISPROPRIEDADES__HISPROPRIEDADES_FKSENID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.SENSOR_PKEY, Hispropriedades.HISPROPRIEDADES, "hispropriedades__hispropriedades_fksenid_fkey", Hispropriedades.HISPROPRIEDADES.FKSENID);
        public static final ForeignKey<HispropriedadesRecord, EmpresaRecord> HISPROPRIEDADES__HISPROPRIEDADES_FKEMPID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.EMPRESA_PKEY, Hispropriedades.HISPROPRIEDADES, "hispropriedades__hispropriedades_fkempid_fkey", Hispropriedades.HISPROPRIEDADES.FKEMPID);
        public static final ForeignKey<SensorRecord, TiposensorRecord> SENSOR__SENSOR_FKTIPSENID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.TIPOSENSOR_PKEY, Sensor.SENSOR, "sensor__sensor_fktipsenid_fkey", Sensor.SENSOR.FKTIPSENID);
        public static final ForeignKey<SensorhorarepeticaoRecord, SensorRecord> SENSORHORAREPETICAO__SENSORHORAREPETICAO_FKSENID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.SENSOR_PKEY, Sensorhorarepeticao.SENSORHORAREPETICAO, "sensorhorarepeticao__sensorhorarepeticao_fksenid_fkey", Sensorhorarepeticao.SENSORHORAREPETICAO.FKSENID);
        public static final ForeignKey<SensorhorarepeticaoRecord, HorarepeticaoRecord> SENSORHORAREPETICAO__SENSORHORAREPETICAO_FKHORID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.HORAREPETICAO_PKEY, Sensorhorarepeticao.SENSORHORAREPETICAO, "sensorhorarepeticao__sensorhorarepeticao_fkhorid_fkey", Sensorhorarepeticao.SENSORHORAREPETICAO.FKHORID);
        public static final ForeignKey<SensorrepeticaoRecord, TiporepeticaoRecord> SENSORREPETICAO__SENSORREPETICAO_FKTIPREPID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.TIPOREPETICAO_PKEY, Sensorrepeticao.SENSORREPETICAO, "sensorrepeticao__sensorrepeticao_fktiprepid_fkey", Sensorrepeticao.SENSORREPETICAO.FKTIPREPID);
        public static final ForeignKey<SensorrepeticaoRecord, SensorRecord> SENSORREPETICAO__SENSORREPETICAO_FKSENID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.SENSOR_PKEY, Sensorrepeticao.SENSORREPETICAO, "sensorrepeticao__sensorrepeticao_fksenid_fkey", Sensorrepeticao.SENSORREPETICAO.FKSENID);
        public static final ForeignKey<TanqueRecord, CriacaoRecord> TANQUE__TANQUE_FKCRIACAO_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.CRIACAO_PKEY, Tanque.TANQUE, "tanque__tanque_fkcriacao_fkey", Tanque.TANQUE.FKCRIACAO);
        public static final ForeignKey<TelefonesRecord, FuncionarioRecord> TELEFONES__TELEFONES_FKFUNMATRICULA_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.FUNCIONARIO_PKEY, Telefones.TELEFONES, "telefones__telefones_fkfunmatricula_fkey", Telefones.TELEFONES.FKFUNMATRICULA);
        public static final ForeignKey<UsuariosRecord, FuncionarioRecord> USUARIOS__USUARIOS_FKFUNMATRICULA_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.FUNCIONARIO_PKEY, Usuarios.USUARIOS, "usuarios__usuarios_fkfunmatricula_fkey", Usuarios.USUARIOS.FKFUNMATRICULA);
        public static final ForeignKey<UsuariosRecord, GrpacessoRecord> USUARIOS__USUARIOS_FKGRPID_FKEY = Internal.createForeignKey(com.tabajara.base.Keys.GRPACESSO_PKEY, Usuarios.USUARIOS, "usuarios__usuarios_fkgrpid_fkey", Usuarios.USUARIOS.FKGRPID);
    }
}
